complexType "TradeInformation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 17 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 17 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | relatedParty*, executionDateTime, timestamps?, intentToAllocate?, allocationStatus?, intentToClear, clearingStatus?, collateralizationType?, reportingRegime*, endUserException?, nonStandardTerms, offMarketPrice?, largeSizeTrade?, executionType?, executionVenueType, verificationMethod?, confirmationMethod?
</...>

Content Model Elements (17):

  allocationStatus, clearingStatus, collateralizationType, confirmationMethod, endUserException, executionDateTime (in tradeInformation), executionType, executionVenueType, intentToAllocate, | intentToClear, largeSizeTrade, nonStandardTerms, offMarketPrice, relatedParty (in tradeInformation), reportingRegime, timestamps, verificationMethod

All Direct / Indirect Based Elements (1):

  tradeInformation

Known Usage Locations

- As direct type of elements (1):
  tradeInformation

Annotation
A type defining additional information that may be recorded against a trade.
XML Source (w/o annotations (18); see within schema source)

<xsd:complexType name="TradeInformation"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> <!-- RPTWG 2009-09-04 begin--> <!--View Generation: SKIPPED reportingRole - PartySpecific--> <!--View Generation: SKIPPED unit - PartySpecific--> <!-- BAL 2011-10 - work on modeling people and org units --> <!--View Generation: SKIPPED relatedBusinessUnit - PartySpecific--> <!--View Generation: SKIPPED relatedPerson - PartySpecific--> <!--View Generation: SKIPPED isAccountingHedge - Documentation--> <!--View Generation: SKIPPED category - PartySpecific--> <!-- RPTWG 2009-09-04 end --> <!--View Generation: SKIPPED trader - PartySpecific--> <xsd:element name="executionDateTime" type="ExecutionDateTime"/> <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"/> <xsd:element minOccurs="0" name="intentToAllocate" type="xsd:boolean"/> <xsd:element minOccurs="0" name="allocationStatus" type="AllocationReportingStatus"/> <xsd:element name="intentToClear" type="xsd:boolean"/> <xsd:element minOccurs="0" name="clearingStatus" type="ClearingStatusValue"/> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <!-- modified BAL 2012-01-23 for CFTC final rules --> <xsd:element minOccurs="0" name="collateralizationType" type="CollateralizationType"/> <!-- added BAL 2012-01-23 for CFTC final rules --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingRegime" type="ReportingRegime"/> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"/> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element name="nonStandardTerms" type="xsd:boolean"/> <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"/> <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"/> <xsd:element minOccurs="0" name="executionType" type="ExecutionType"/> <xsd:element name="executionVenueType" type="ExecutionVenueType"/> <!-- added BAL 2011-10-18 for DTCC gap analysis --> <xsd:element minOccurs="0" name="verificationMethod" type="ConfirmationMethod"/> <!-- end BAL 2011-10-18 additions for DTCC gap analysis --> <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 17/17)
allocationStatus

  Type: | AllocationReportingStatus, simple content

  Specifies whether the trade is anticipated to be allocated, has been allocated, or will not be allocated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocationStatus" type="AllocationReportingStatus"/>

clearingStatus

  Type: | ClearingStatusValue, simple content

  Describes the status with respect to clearing (e.g. Submitted, Pending, Cleared, RejectedForClearing, etc.)
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="clearingStatus" type="ClearingStatusValue"/>

collateralizationType

  Type: | CollateralizationType, simple content

  Specifies whether this party posts collateral. For Recordkeeping, the collateralization type refers to collateral that is posted by this firm, and One-Way is not meaningful. In other words, if the collateralization type is Full, this trade is fully collateralized by this party. For Transparency view, the options include Full, Partial, Uncollateralized, and One-Way.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateralizationType" type="CollateralizationType"/>

confirmationMethod

  Type: | ConfirmationMethod, simple content

  Used to describe how the trade was confirmed, e.g via a confirmation facility, via private electronic service, or via written documentation. This affects the process flow for confirmation messages. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="confirmationMethod" type="ConfirmationMethod"/>

endUserException

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is not obligated to be cleared via a derivative clearing organization because the "End User Exception" was invoked.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endUserException" type="xsd:boolean"/>

executionDateTime

  Type: | ExecutionDateTime, simple content

  Trade execution date time provided by a central execution facility.
  Simple Content

  xsd:dateTime

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="executionDateTime" type="ExecutionDateTime"/>

executionType

  Type: | ExecutionType, simple content

  Used to describe how the trade was executed, e.g. via voice or electronically.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionType" type="ExecutionType"/>

executionVenueType

  Type: | ExecutionVenueType, simple content

  Used to describe the type of venue where trade was executed, e.g via an execution facility or privately.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="executionVenueType" type="ExecutionVenueType"/>

intentToAllocate

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is anticipated to be allocated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="intentToAllocate" type="xsd:boolean"/>

intentToClear

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the trade is anticipated to be cleared via a derivative clearing organization
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="intentToClear" type="xsd:boolean"/>

largeSizeTrade

  Type: | xsd:boolean, predefined, simple content

  Specifies whether the sender of this trade considers it to be a large notional trade or block trade for reporting purposes, and thus eligible for delayed public reporting. Normally this will only be applicable for off-facility trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="largeSizeTrade" type="xsd:boolean"/>

nonStandardTerms

  Type: | xsd:boolean, predefined, simple content

  Indicates that the trade has price-affecting characteristics in addition to the standard real-time reportable terms. The flag indicates that the price for this trade is not to be construed as being indicative of the market for standardised trades with otherwise identical reportable terms.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="nonStandardTerms" type="xsd:boolean"/>

offMarketPrice

  Type: | xsd:boolean, predefined, simple content

  Indicates that the price does not reflect the current market. For example, in a credit trade where the two counterparties are not of equal credit standing, there is no initial margin and one party pays collateral to the other in the form of an add-on to the price (say a price that would otherwise be 100 at the market is struck at 105 to include the collateral, resulting in a very off-market looking price.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="offMarketPrice" type="xsd:boolean"/>

relatedParty

  Type: | RelatedParty, complex content

  Identifies a related party performing a role within the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/>

reportingRegime

  Type: | ReportingRegime, complex content

  Allows the organization to specify which if any relevant regulators or other supervisory bodies this is relevant for, and what reporting rules apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reportingRegime" type="ReportingRegime"/>

timestamps

  Type: | TradeProcessingTimestamps, complex content

  Allows timing information about a trade to be recorded.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="timestamps" type="TradeProcessingTimestamps"/>

verificationMethod

  Type: | ConfirmationMethod, simple content

  Used to describe how the trade was or will be verified, e.g via a confirmation facility, via private electronic service, or via written documentation. This affect the timing of real-time reporting requirements. This field is provisional pending detailed confirmation of the data requirements, and may not be included in subsequent working drafts.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="verificationMethod" type="ConfirmationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.